Index: /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Contents_Recommend extends LC_Page {
+class LC_Page_Admin_Contents_Recommend extends LC_Page_Admin {
 
     // }}}
@@ -57,6 +57,15 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objQuery = new SC_Query();
-        $objView = new SC_AdminView();
         $objSess = new SC_Session();
 
@@ -146,8 +155,4 @@
         $objDb = new SC_Helper_DB_Ex();
         $this->arrCatList = $objDb->sfGetCategoryList("level = 1");
-
-        //----　ページ表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_FileManager_Ex.php");
 
@@ -33,5 +33,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Contents_FileManager extends LC_Page {
+class LC_Page_Admin_Contents_FileManager extends LC_Page_Admin {
 
     // }}}
@@ -59,4 +59,14 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         //---- 認証可否の判定
         $objSess = new SC_Session();
@@ -203,8 +213,4 @@
             }
         }
-
-        // 画面の表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileView.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileView.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileView.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_FileManager_Ex.php");
 
@@ -33,5 +33,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Contents_FileView extends LC_Page {
+class LC_Page_Admin_Contents_FileView extends LC_Page_Admin {
 
     // }}}
@@ -53,4 +53,14 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // FIXME パスのチェック関数が必要
         if (preg_match('|\./|', $_GET['file'])) {
@@ -81,5 +91,5 @@
             print($objFileManager->sfReadFile(USER_PATH . $_GET['file']));
         } else {
-            $this->sendRedirect(USER_URL . $_GET['file']);
+            $this->objDisplay->redirect(USER_URL . $_GET['file']);
             exit;
         }
Index: /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CSV.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CSV.php	(revision 18844)
+++ /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CSV.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_CSV_Ex.php");
 
@@ -33,5 +33,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Contents_CSV extends LC_Page {
+class LC_Page_Admin_Contents_CSV extends LC_Page_Admin {
 
     // }}}
@@ -59,5 +59,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objCSV = new SC_Helper_CSV_Ex();
@@ -110,5 +119,5 @@
 
                 // 画面のリロード
-                $this->reload(array("tpl_subno_csv" => $subno_csv));
+                $this->objDisplay->reload(array("tpl_subno_csv" => $subno_csv));
             }
         }
@@ -133,8 +142,4 @@
         $this->SubnaviName = $this->arrSubnaviName[$subno_id];
         $this->tpl_subno_csv = $subno_csv;
-
-        // 画面の表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Contents_CsvSql extends LC_Page {
+class LC_Page_Admin_Contents_CsvSql extends LC_Page_Admin {
 
     // }}}
@@ -58,5 +58,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objDbFactory = SC_DB_DBFactory_Ex::getInstance();
 
@@ -109,15 +118,12 @@
             $this->sqlerr = isset($errMsg) ? $errMsg : "" ;
 
-            $this->objView = $objView;
-
             // 画面の表示
-            $objView->assignobj($this);
-            $objView->display('contents/csv_sql_view.tpl');
-            exit;
+            $this->setTemplate('contents/csv_sql_view.tpl');
+            return;
             break;
 
             // 新規作成
         case "new_page":
-            $this->sendRedirect($this->getLocation("./csv_sql.php"));
+            $this->objDisplay->redirect($this->getLocation("./csv_sql.php"));
             exit;
             break;
@@ -126,5 +132,5 @@
         case "delete":
             $this->lfDelData($sql_id);
-            $this->sendRedirect($this->getLocation("./csv_sql.php"));
+            $this->objDisplay->redirect($this->getLocation("./csv_sql.php"));
             exit;
             break;
@@ -216,8 +222,4 @@
         }
         $this->arrSqlData = $arrSqlData[0];	// 選択されているSQLデータ
-
-        // 画面の表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Contents_RecommendSearch extends LC_Page {
+class LC_Page_Admin_Contents_RecommendSearch extends LC_Page_Admin {
 
     // }}}
@@ -57,5 +57,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objDb = new SC_Helper_DB_Ex();
@@ -134,9 +143,4 @@
         // カテゴリ取得
         $this->arrCatList = $objDb->sfGetCategoryList();
-
-        //----　ページ表示
-        $objView->assignobj($this);
-        $objView->display($this->tpl_mainpage);
-
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Contents extends LC_Page {
+class LC_Page_Admin_Contents extends LC_Page_Admin {
 
     // }}}
@@ -60,8 +60,17 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
 
         //---- ページ初期設定
         $objQuery = new SC_Query();
-        $objView = new SC_AdminView();
         $objDate = new SC_Date(ADMIN_NEWS_STARTYEAR);
         $objDb = new SC_Helper_DB_Ex();
@@ -133,5 +142,5 @@
             $objQuery->commit();
 
-            $this->reload();             //自分にリダイレクト（再読込による誤動作防止）
+            $this->objDisplay->reload();             //自分にリダイレクト（再読込による誤動作防止）
         }
 
@@ -145,5 +154,5 @@
             }
             //sf_rebuildIndex($conn);
-            $this->reload();
+            $this->objDisplay->reload();
         }
 
@@ -154,5 +163,5 @@
             if(SC_Utils_Ex::sfIsInt($input_pos)) {
                 $objDb->sfMoveRank("dtb_news", "news_id", $_POST['news_id'], $input_pos);
-                $this->reload();
+                $this->objDisplay->reload();
             }
         }
@@ -164,9 +173,4 @@
         $sql = "SELECT MAX(rank) FROM dtb_news WHERE del_flg = '0'";        // rankの最大値を取得
         $this->max_rank = $objQuery->getOne($sql);
-
-        //----　ページ表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
-
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/plugin/LC_Page_Admin_Plugin_Install.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/plugin/LC_Page_Admin_Plugin_Install.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/plugin/LC_Page_Admin_Plugin_Install.php	(revision 19661)
@@ -22,5 +22,5 @@
  */
 
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -34,5 +34,5 @@
  * @version $Id:$
  */
-class LC_Page_Admin_Plugin_Install extends LC_Page {
+class LC_Page_Admin_Plugin_Install extends LC_Page_Admin {
 
     /**
@@ -57,5 +57,14 @@
      */
     function process() {
-        $objView  = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
 
@@ -79,7 +88,4 @@
             SC_Utils_Ex::sfDispException();
         }
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/plugin/LC_Page_Admin_Plugin_Uninstall.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/plugin/LC_Page_Admin_Plugin_Uninstall.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/plugin/LC_Page_Admin_Plugin_Uninstall.php	(revision 19661)
@@ -22,5 +22,5 @@
  */
 
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -34,5 +34,5 @@
  * @version $Id:$
  */
-class LC_Page_Admin_Plugin_Uninstall extends LC_Page {
+class LC_Page_Admin_Plugin_Uninstall extends LC_Page_Admin {
 
     /**
@@ -57,5 +57,14 @@
      */
     function process() {
-        $objView  = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
 
@@ -79,7 +88,4 @@
             SC_Utils_Ex::sfDispException();
         }
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/plugin/LC_Page_Admin_Plugin.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/plugin/LC_Page_Admin_Plugin.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/plugin/LC_Page_Admin_Plugin.php	(revision 19661)
@@ -22,5 +22,5 @@
  */
 
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -31,5 +31,5 @@
  * @version $Id:$
  */
-class LC_Page_Admin_Plugin extends LC_Page {
+class LC_Page_Admin_Plugin extends LC_Page_Admin {
 
     /**
@@ -54,5 +54,14 @@
      */
     function process() {
-        $objView  = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
 
@@ -61,7 +70,4 @@
 
         $this->loadPluginsList();
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once CLASS_PATH . "pages/LC_Page.php";
+require_once CLASS_PATH . "pages/admin/LC_Page_Admin.php";
 require_once DATA_PATH . 'module/Services/JSON.php';
 require_once DATA_PATH . 'module/Request.php';
@@ -34,5 +34,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Home extends LC_Page {
+class LC_Page_Admin_Home extends LC_Page_Admin {
 
     // }}}
@@ -55,6 +55,15 @@
      */
     function process() {
-        $objQuery = new SC_Query();
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
+        $objQuery = new SC_Query();
         $objSess = new SC_Session();
 
@@ -107,7 +116,4 @@
         // お知らせ一覧の取得
         $this->arrInfo = $this->lfGetInfo();
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment_Input.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment_Input.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment_Input.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Payment_Input extends LC_Page {
+class LC_Page_Admin_Basis_Payment_Input extends LC_Page_Admin {
 
     // {{{ properties
@@ -62,5 +62,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objDb = new SC_Helper_DB_Ex();
@@ -141,7 +150,4 @@
         // HIDDEN用に配列を渡す。
         $this->arrHidden = array_merge((array)$this->arrHidden, (array)$this->objUpFile->getHiddenFileList());
-
-        $objView->assignobj($this);
-        $objView->display($this->tpl_mainpage);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Kiyaku extends LC_Page {
+class LC_Page_Admin_Basis_Kiyaku extends LC_Page_Admin {
 
     // }}}
@@ -57,5 +57,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objQuery = new SC_Query();
@@ -85,5 +94,5 @@
                 }
                 // 再表示
-                $this->reload();
+                $this->objDisplay->reload();
             } else {
                 // POSTデータを引き継ぐ
@@ -95,5 +104,5 @@
             $objDb->sfDeleteRankRecord("dtb_kiyaku", "kiyaku_id", $_POST['kiyaku_id'], "", true);
             // 再表示
-            $this->reload();
+            $this->objDisplay->reload();
             break;
         // 編集前処理
@@ -111,10 +120,10 @@
             $objDb->sfRankDown("dtb_kiyaku", "kiyaku_id", $_POST['kiyaku_id']);
             // 再表示
-            $this->reload();
+            $this->objDisplay->reload();
             break;
         case 'up':
             $objDb->sfRankUp("dtb_kiyaku", "kiyaku_id", $_POST['kiyaku_id']);
             // 再表示
-            $this->reload();
+            $this->objDisplay->reload();
             break;
         default:
@@ -126,7 +135,4 @@
         $objQuery->setOrder("rank DESC");
         $this->arrKiyaku = $objQuery->select("kiyaku_title, kiyaku_text, kiyaku_id", "dtb_kiyaku", $where);
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 18891)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Payment extends LC_Page {
+class LC_Page_Admin_Basis_Payment extends LC_Page_Admin {
 
     // }}}
@@ -57,5 +57,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objDb = new SC_Helper_DB_Ex();
@@ -71,15 +80,15 @@
                 $objDb->sfDeleteRankRecord("dtb_payment", "payment_id", $_POST['payment_id']);
                 // 再表示
-                $this->reload();
+                $this->objDisplay->reload();
                 break;
             case 'up':
                 $objDb->sfRankUp("dtb_payment", "payment_id", $_POST['payment_id']);
                 // 再表示
-                $this->reload();
+                $this->objDisplay->reload();
                 break;
             case 'down':
                 $objDb->sfRankDown("dtb_payment", "payment_id", $_POST['payment_id']);
                 // 再表示
-                $this->reload();
+                $this->objDisplay->reload();
                 break;
         }
@@ -87,7 +96,4 @@
         $this->arrDelivList = $objDb->sfGetIDValueList("dtb_deliv", "deliv_id", "service_name");
         $this->arrPaymentListFree = $this->lfGetPaymentList();
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 18846)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis extends LC_Page {
+class LC_Page_Admin_Basis extends LC_Page_Admin {
 
     // }}}
@@ -69,5 +69,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objQuery = new SC_Query();
@@ -122,7 +131,4 @@
             $this->tpl_onload = "fnCheckLimit('downloadable_days', 'downloadable_days_unlimited', '" . DISABLED_RGB . "');";
         }
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Control.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Control.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Control.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Control extends LC_Page {
+class LC_Page_Admin_Basis_Control extends LC_Page_Admin {
 
     /** フォームパラメータの配列 */
@@ -60,5 +60,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
 
@@ -116,6 +125,4 @@
 
         $this->arrControlList = $arrSiteControlList;
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery_Input.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery_Input.php	(revision 18889)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery_Input.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Delivery_Input extends LC_Page {
+class LC_Page_Admin_Basis_Delivery_Input extends LC_Page_Admin {
 
     // {{{ properties
@@ -65,5 +65,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
 
@@ -99,6 +108,4 @@
 
         $this->arrForm = $this->objFormParam->getFormParamList();
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Mail extends LC_Page {
+class LC_Page_Admin_Basis_Mail extends LC_Page_Admin {
 
     // }}}
@@ -57,6 +57,15 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objQuery = new SC_Query();
-        $objView = new SC_AdminView();
         $objSess = new SC_Session();
         $masterData = new SC_DB_MasterData_Ex();
@@ -103,7 +112,4 @@
 
         }
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Delivery extends LC_Page {
+class LC_Page_Admin_Basis_Delivery extends LC_Page_Admin {
 
     // }}}
@@ -60,5 +60,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objQuery = new SC_Query();
@@ -74,13 +83,13 @@
             // ランク付きレコードの削除
             $objDb->sfDeleteRankRecord("dtb_deliv", "deliv_id", $_POST['deliv_id']);
-            $this->reload(); // PRG pattern
+            $this->objDisplay->reload(); // PRG pattern
             break;
         case 'up':
             $objDb->sfRankUp("dtb_deliv", "deliv_id", $_POST['deliv_id']);
-            $this->reload(); // PRG pattern
+            $this->objDisplay->reload(); // PRG pattern
             break;
         case 'down':
             $objDb->sfRankDown("dtb_deliv", "deliv_id", $_POST['deliv_id']);
-            $this->reload(); // PRG pattern
+            $this->objDisplay->reload(); // PRG pattern
             break;
         default:
@@ -94,7 +103,4 @@
         $objQuery->setOrder("rank DESC");
         $this->arrDelivList = $objQuery->select($col, $table, $where);
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Tradelaw extends LC_Page {
+class LC_Page_Admin_Basis_Tradelaw extends LC_Page_Admin {
 
     // {{{ properties
@@ -65,5 +65,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objQuery = new SC_Query();
@@ -116,6 +125,4 @@
 
         $this->arrForm = $this->objFormParam->getFormParamList();
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Seo extends LC_Page {
+class LC_Page_Admin_Basis_Seo extends LC_Page_Admin {
 
     // {{{ properties
@@ -65,5 +65,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objQuery = new SC_Query();
@@ -119,7 +128,4 @@
 
         $this->disp_flg = $arrDisp_flg;
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
